Type to search.

Search Deployments

  • POST /deployments/_search
Auth

Retrieves the information for all of the deployments that match the specified query.

Query parameters

minimal_metadata string

Comma separated list of attributes to include in response for deployments found. Useful for reducing response size when retrieving many deployments. Use of this parameter moves the result to the minimal_metadata section of the response.

Request body

(Optional) The search query to run. When not specified, all of the deployments are matched.

from integer · format: int32

Deprecated, use cursor for a more scalable approach to paging.

cursor string

To retrieve the next page of hits, set this to the cursor value of the previous response. When set, all other fields are ignored.

size integer · format: int32

The maximum number of search results to return.

sort object[]

An array of fields to sort the search results by. Defaults to query rank and last modified date descending.

Response

The list of deployments that match the specified query and belong to the authenticated user.

application/json
return_count integer · format: int32 required

The number of deployments actually returned, either as deployment instances or as minimalMetadata objects

match_count integer · format: int32

If a query is supplied, then the total number of deployments that matched

deployments object[] required
id string required

A randomly-generated id of this Deployment

name string required

The name of this deployment

alias string

A user-defined deployment alias for user-friendly resource URLs

healthy boolean required

Whether the deployment is overall healthy or not (one or more of the resource info subsections will have healthy: false)

resources object required

Describes a resource belonging to a Deployment

elasticsearch object[] required

List of Elasticsearch resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The information for an Elasticsearch cluster.

cluster_id string required

The id of the cluster

cluster_name string required

The name of the cluster

deployment_id string

The id of the deployment that this Elasticsearch belongs to.

healthy boolean required

Whether the cluster is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Cluster status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about the current, pending, and past Elasticsearch cluster plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the Elasticsearch cluster plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
elasticsearch object required

Information about the Elasticsearch cluster.

healthy boolean required

Whether the Elasticsearch cluster is healthy (check the sub-objects for more details if not)

shard_info object required
Warning

This endpoint is deprecated and scheduled to be removed in the next major version. Use shards_status instead.

Information about the shards and replicas that comprise the Elasticsearch indices.

healthy boolean required

Whether the shard situation is healthy (any unavailable shards is unhealthy)

available_shards object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

shard_count integer · format: int32 required

The number of shards of the given type (available/unavailable) on this instance

unavailable_shards object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

shard_count integer · format: int32 required

The number of shards of the given type (available/unavailable) on this instance

unavailable_replicas object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

replica_count integer · format: int32 required

The number of unavailable replicas on this instance

master_info object required

Information about the master nodes in the Elasticsearch cluster.

healthy boolean required

Whether the master situation in the cluster is healthy (ie is the number of masters != 1), or do any instances have no master

masters object[] required
master_node_id string required

The Elasticsearch node id of a master node

master_instance_name string

The corresponding instance name of the container hosting the Elasticsearch master node, if available

instances string[] required

The names of the instance/container hosting the node belong to the cluster with the given master

instances_with_no_master string[] required

A list of any instances with no master

blocking_issues object required
Warning

This endpoint is deprecated and scheduled to be removed in the next major version. Use cluster_blocking_issues instead

Issues that prevent the Elasticsearch cluster or index from operating correctly.

healthy boolean required

Whether the cluster has issues (false) or not (true)

cluster_level object[] required

A list of issues that affect availability of entire cluster

description string required

Description of the issue

instances string[] required

A list of instances that are affected by the issue

index_level object[] required

A list of issues that affect availability of the cluster's indices

description string required

Description of the issue

instances string[] required

A list of instances that are affected by the issue

metadata object required

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

version integer · format: int32 required

The resource version number of the cluster metadata

last_modified string · format: date-time required

The most recent time the cluster metadata was changed (ISO format in UTC)

endpoint string

The DNS name of the cluster endpoint, if available

service_url string

The full URL to access this deployment resource

aliased_endpoint string

The DNS name of the cluster endpoint derived from the deployment alias, if available

aliased_url string

The full aliased URL to access this deployment resource

cloud_id string

The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana (only present if both exist)

raw object

An unstructured JSON representation of the public and internal state (can be filtered out via URL parameter). The contents and structure of the raw field can change at any time.

topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

healthy boolean required

Whether the cluster topology is healthy (ie all instances are started and the services they run - ie elasticsearch - are available

instances object[] required
instance_name string required

The name of the instance in Elastic Cloud

service_version string

The version of the service that the instance is running (eg Elasticsearch or Kibana), if available

healthy boolean required

Whether the instance is healthy (ie started and running)

container_started boolean required

Whether the container has started (does not tell you anything about the service -ie Elasticsearch- running inside the container)

service_running boolean required

Whether the service launched inside the container -ie Elasticsearch- is actually running

maintenance_mode boolean required

Whether the service is is maintenance mode (meaning that the proxy is not routing external traffic to it)

zone string

The zone in which this instance is being allocated

allocator_id string

The id of the allocator on which this instance is running (if the container is started or starting)

service_roles string[]

List of roles assigned to the service running in the instance. Currently only populated for Elasticsearch, with possible values: master,data,ingest,ml

node_roles enum[]

A list of the node roles assigned to the service running in the instance. Currently populated only for Elasticsearch.

Values: master ingest ml data_hot data_content data_warm data_cold data_frozen remote_cluster_client transform voting_only
associated_kibana_clusters object[] required
kibana_id string required

The Kibana cluster Id

enabled boolean required

Whether the associated Kibana cluster is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_apm_clusters object[] required
apm_id string required

The APM cluster Id

enabled boolean required

Whether the associated APM cluster is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_appsearch_clusters object[] required
app_search_id string required

The App Search Id

enabled boolean required

Whether the associated App Search is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_enterprise_search_clusters object[] required
enterprise_search_id string required

The Enterprise Search Id

enabled boolean required

Whether the associated Enterprise Search is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

snapshots object required

Information about the snapshot status for the Elasticsearch cluster. For example, the health status.

healthy boolean required

Health status of snapshots for this cluster

count integer · format: int32 required

Number of snapshots stored for this cluster

latest_successful boolean

Latest snapshot status

latest_status string

Status of the latest snapshot attempt, if any exist.

scheduled_time string · format: date-time

Scheduled time of next snapshot attempt

latest_end_time string · format: date-time

The end time of the most recently attempted snapshot

latest_successful_end_time string · format: date-time

The end time of the most recently successful snapshot

recent_success boolean required

Indicates whether the cluster has a relatively recent successful snapshot.

External resources related to the cluster

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this cluster belongs to. Only populated in SaaS or federated ECE.

locked boolean

Whether or not this cluster is locked. Only populated in SaaS.

kibana object[] required

List of Kibana resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The top-level object information for a Kibana instance.

cluster_id string required

The id of the cluster

cluster_name string required

The name of the cluster

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment to which this Kibana Server belongs to.

healthy boolean required

Whether the cluster is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Cluster status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about the current, pending, or past Kibana instance plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the current, pending, or past Kibana instance plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object required

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

Same fields as metadata in info
topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

Same fields as topology in info

External resources related to the cluster

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this cluster belongs to. Only populated in SaaS or federated ECE.

apm object[] required

List of Apm resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The overview information for the APM Server.

id string required

The id of the APM

name string required

The name of the APM

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment that this APM Server belongs to.

healthy boolean required

Whether the APM is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

APM status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about current, pending, and past APM Server plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the APM Server plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

Same fields as metadata in info
topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

Same fields as topology in info

External resources related to the APM

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this APM belongs to. Only populated in SaaS or federated ECE.

apm_server_mode enum

The mode APM is operating in.

Values: standalone managed
appsearch object[] required

List of App Search resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The overview information for the App Search Server.

id string required

The id of the App Search

name string required

The name of the App Search

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment that this App Search belongs to.

healthy boolean required

Whether the App Search is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

App Search status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about current, pending, and past App Search Server plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the App Search Server plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

Same fields as metadata in info
topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

Same fields as topology in info

External resources related to the App Search

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this App Search belongs to. Only populated in SaaS or federated ECE.

List of Enterprise Search resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The overview information for the Enterprise Search Server.

id string required

The id of the Enterprise Search

name string required

The name of the Enterprise Search

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment that this Enterprise Search belongs to.

healthy boolean required

Whether the Enterprise Search is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Enterprise Search status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about current, pending, and past Enterprise Search Server plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the Enterprise Search Server plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

Same fields as metadata in info
topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

Same fields as topology in info

External resources related to the Enterprise Search

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this Enterprise Search belongs to. Only populated in SaaS or federated ECE.

integrations_server object[] required

List of Integrations Server resources in your Deployment

ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The overview information for the Integrations Server.

id string required

The id of the Integrations Server

name string required

The name of the Integrations Server

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment that this Integrations Server belongs to.

healthy boolean required

Whether the Integrations Server is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Integrations Server status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about current, pending, and past Integrations Server plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the Integrations Server plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

Same fields as metadata in info
topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

Same fields as topology in info

External resources related to the Integrations Server

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this Integrations Server belongs to. Only populated in SaaS or federated ECE.

apm_server_mode enum

The mode APM is operating in.

Values: standalone managed
minimal_metadata object[]
cursor string

To retrieve the next batch of deployments from this search, specify this value in the cursor field of the next search request. For paginated searches, it is recommended to sort on a static and unique field, like deployment or cluster id. A static and unique sort avoids concurrent updates causing a deployment to move across pages and becoming a duplicate or lost entry. The default sort of rank and modified date is often good for getting a particular deployment into the first page, but if a not yet seen deployment is modified in between page requests, then it would be left out from the next page.

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)